Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/BinPacking.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/BinPacking.cs	(revision 14128)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/BinPacking.cs	(revision 14146)
@@ -31,11 +31,11 @@
   [Item("BinPacking", "Represents a single-bin packing for a bin-packing problem.")]
   [StorableClass]
-  public abstract class BinPacking<D,B,I>  : Item
+  public abstract class BinPacking<D, B, I> : Item
     where D : class, IPackingPosition
     where B : PackingShape<D>
-    where I : PackingShape<D>, IPackingItem {
+    where I : PackingShape<D> {
     #region Properties
     [Storable]
-    public ObservableDictionary<int, D> ItemPositions { get; private set; } 
+    public ObservableDictionary<int, D> ItemPositions { get; private set; }
 
     [Storable]
@@ -43,5 +43,5 @@
 
     [Storable]
-    public B BinMeasures { get; private set; } 
+    public B BinMeasures { get; private set; }
 
     [Storable]
@@ -53,5 +53,6 @@
     #endregion Properties
 
-    protected BinPacking(B binMeasures) : base() {   
+    protected BinPacking(B binMeasures)
+      : base() {
       ItemPositions = new ObservableDictionary<int, D>();
       ItemMeasures = new ObservableDictionary<int, I>();
@@ -64,12 +65,12 @@
     [StorableConstructor]
     protected BinPacking(bool deserializing) : base(deserializing) { }
-    protected BinPacking(BinPacking<D,B,I> original, Cloner cloner)
+    protected BinPacking(BinPacking<D, B, I> original, Cloner cloner)
       : base(original, cloner) {
       this.ItemPositions = new ObservableDictionary<int, D>(original.ItemPositions);
       this.ItemMeasures = new ObservableDictionary<int, I>(original.ItemMeasures);
-        this.BinMeasures = (B)original.BinMeasures.Clone(cloner);
-        this.OccupationLayers = new Dictionary<int, List<int>>(original.OccupationLayers);
+      this.BinMeasures = (B)original.BinMeasures.Clone(cloner);
+      this.OccupationLayers = new Dictionary<int, List<int>>(original.OccupationLayers);
     }
-   
+
     protected abstract void GenerateNewExtremePointsForNewItem(I measures, D position);
 
@@ -77,8 +78,8 @@
     public abstract D FindPositionBySliding(I measures, bool rotated);
 
-    public abstract void SlidingBasedPacking(ref List<int> sequence, ItemList<I> itemMeasures);
-    public abstract void SlidingBasedPacking(ref List<int> sequence, ItemList<I> itemMeasures, Dictionary<int, bool> rotationArray);
-    public abstract void ExtremePointBasedPacking(ref List<int> sequence, ItemList<I> itemMeasures, bool stackingConstraints);
-    public abstract void ExtremePointBasedPacking(ref List<int> sequence, ItemList<I> itemMeasures, bool stackingConstraints, Dictionary<int, bool> rotationArray);
+    public abstract void SlidingBasedPacking(ref IList<int> sequence, IList<I> itemMeasures);
+    public abstract void SlidingBasedPacking(ref IList<int> sequence, IList<I> itemMeasures, Dictionary<int, bool> rotationArray);
+    public abstract void ExtremePointBasedPacking(ref IList<int> sequence, IList<I> itemMeasures, bool stackingConstraints);
+    public abstract void ExtremePointBasedPacking(ref IList<int> sequence, IList<I> itemMeasures, bool stackingConstraints, Dictionary<int, bool> rotationArray);
 
     public void PackItem(int itemID, I measures, D position) {
@@ -88,13 +89,9 @@
       foreach (int id in ItemMeasures.Select(x => x.Key))
         GenerateNewExtremePointsForNewItem(ItemMeasures[id], ItemPositions[id]);
-      
-       
-      //GenerateNewExtremePointsForNewItem(measures, position);
-      //OccupiedPoints.OccupyPoints(measures, position, itemID);
 
       AddNewItemToOccupationLayers(itemID, measures, position);
     }
 
-    public double PackingDensity { 
+    public double PackingDensity {
       get {
         double result = 0;
@@ -108,8 +105,4 @@
 
     public int PointOccupation(D position) {
-      //foreach (var ipEntry in ItemPositions) {
-      //  if (ItemMeasures[ipEntry.Key].EnclosesPoint(ipEntry.Value, position))
-      //    return ipEntry.Key;
-      //}
       foreach (var id in GetLayerItemIDs(position)) {
         if (ItemMeasures[id].EnclosesPoint(ItemPositions[id], position))
@@ -120,8 +113,4 @@
 
     public bool IsPointOccupied(D position) {
-      //foreach (var ipEntry in ItemPositions) {
-      //  if (ItemMeasures[ipEntry.Key].EnclosesPoint(ipEntry.Value, position))
-      //    return true;
-      //}      
       foreach (var id in GetLayerItemIDs(position)) {
         if (ItemMeasures[id].EnclosesPoint(ItemPositions[id], position))
@@ -135,8 +124,4 @@
         return false;
 
-      //foreach (var ipEntry in ItemPositions) {
-      //  if (ItemMeasures[ipEntry.Key].Overlaps(ipEntry.Value, position, measures))
-      //    return false;
-      //} 
       foreach (var id in GetLayerItemIDs(measures, position)) {
         if (ItemMeasures[id].Overlaps(ItemPositions[id], position, measures))
@@ -146,6 +131,6 @@
       return true;
     }
-    public abstract int ShortestPossibleSideFromPoint (D position);
-    public abstract bool IsStaticStable (I measures, D position);
+    public abstract int ShortestPossibleSideFromPoint(D position);
+    public abstract bool IsStaticStable(I measures, D position);
 
 
@@ -154,4 +139,4 @@
     protected abstract List<int> GetLayerItemIDs(D position);
     protected abstract List<int> GetLayerItemIDs(I measures, D position);
-  }   
+  }
 }
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/PackingPlan.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/PackingPlan.cs	(revision 14128)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/PackingPlan.cs	(revision 14146)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Collections.Generic;
 using System.Linq;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -28,7 +27,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Collections;
-using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Problems.BinPacking;
-using HeuristicLab.Encodings.PermutationEncoding;
 
 namespace HeuristicLab.Encodings.PackingEncoding {
